Subject: Re: bug#20802: Segfault when showing non-GTK+ tooltip

From: martin rudalics <[email-masked]>
Date: Mon, 15 Jun 2015 10:22:40 +0200

> Thanks.  Now I know why this cannot be reproduced on Windows: this is
 > bug#17524 coming back to haunt us.  That bug was reported on Windows,
 > I fixed it on Windows, then suggested a similar fix for X, but was
 > told it didn't help there.
 >
 > So now please try making a fix on X similar to commit ebdc80316, and
 > if that indeed doesn't help with this crash, perhaps some simple
 > variation of that will.

Sorry.  I must be missing something very elementary here.  Your "shadow"
refcounts

#ifdef GLYPH_DEBUG
static int image_cache_refcount, dpyinfo_refcount;
#endif

are defined iff you have GLYPH_DEBUG defined.  How are these supposed to
work when GLYPH_DEBUG is not defined?

martin